<template>
    <div class="fa-card-a">
      <zt-table-wraper query-url="/project/Project/page" delete-url="/project/Project/deleteProject" v-slot="{ table }">
        <el-form :inline="true" class="form-input-width-1"  :model="dataForm" @keyup.enter.native="table.query()">
          <el-form-item>
            <el-input v-model="dataForm.softwareName" placeholder="请输入软件名称" clearable></el-input>

          </el-form-item>
          <el-form-item >
            <zt-dict v-model="dataForm.secretClass" placeholder="密级" dict="secret_class" clearable></zt-dict>

          </el-form-item>
          <el-form-item >
            <zt-dict v-model="dataForm.criticalLevel" placeholder="关键等级" dict="critical_level" clearable></zt-dict>

          </el-form-item>
<!--          <el-form-item>-->
<!--            <zt-dict v-model="dataForm.testLevel" placeholder="测试级别" dict="test_level" clearable></zt-dict>-->

<!--          </el-form-item>-->
          <el-form-item >
            <zt-dict v-model="dataForm.softwareType" placeholder="软件类型" dict="software_type" clearable></zt-dict>

          </el-form-item>
          <el-form-item >
            <zt-dict v-model="dataForm.isContract" placeholder="是否签署合同" dict="is_or_not" clearable></zt-dict>

          </el-form-item>
          <el-form-item>
            <zt-button type="query" @click="table.query()"/>
            <zt-button type="add" perm="project:add" @click="table.editHandle()"/>
            <zt-button type="delete" perm="project:delete" @click="table.deleteHandle()"/>
          </el-form-item>
        </el-form>
        <el-table v-loading="table.dataLoading" :data="table.dataList" height="100px" v-adaptive="{bottomOffset:70}" border @selection-change="table.selectionChangeHandle">
          <el-table-column type="selection" align="center" width="40"/>
          <el-table-column prop="entrustUnitName" label="委托单位名称"/>
          <el-table-column prop="developUnitName" label="开发单位名称"/>
          <el-table-column prop="softwareName" label="软件名称"/>
          <el-table-column prop="code" label="项目编号"/>
          <el-table-column prop="softwareIdentity" label="项目标识"/>
          <zt-table-column-dict prop="secretClass" label="密级" dict="secret_class"/>
          <zt-table-column-dict prop="criticalLevel" label="关键等级" dict="critical_level"/>
         <!-- <zt-table-column-dict prop="testLevel" label="测试级别" dict="test_level"/>-->
          <zt-table-column-dict prop="softwareType" label="软件类型" dict="software_type"/>
          <el-table-column prop="projectLeader" label="项目负责人"/>
          <zt-table-column-dict prop="isContract" label="是否签署合同" dict="is_or_not"/>
          <zt-table-column-handle :table="table" edit-perm="project:update" delete-perm="project::delete"/>
        </el-table>
        <!-- 弹窗, 新增 / 修改 -->
        <add-or-update @refreshDataList="table.query"/>
      </zt-table-wraper>
    </div>
</template>

<script>
import AddOrUpdate from './Project-AddOrUpdate'
export default {
  data() {
    return {
      dataForm: {
        softwareName: '',
        secretClass: '',
        criticalLevel: '',
        testLevel: '',
        softwareType: '',
        isContract: '',
      }
    }
  },
  components: {
    AddOrUpdate
  }
}
</script>
<style>
.form-input-width-1 .el-form-item>.el-form-item__content .el-input{
  width: 150px;
}
</style>
